#!/usr/bin/env python3

import re
import sys

entities = open(sys.argv[1], 'r', encoding='UTF-8').readlines()
src_vert = open(sys.argv[2], 'r', encoding='UTF-8').read()
output_file = open(sys.argv[3], 'w', encoding='UTF-8')

filename = sys.argv[1].rsplit('/', 1)[-1].split('.', 1)[0]

types = re.findall(r'<entity type=\"([^\"]*?)\"', src_vert)

for e in entities:
    t = "PER"
    if types:
        t = types.pop(0)
    output_file.write('{0}\t{1}\t{2}\n'.format(e.strip(), t, filename))
